## Class IDS_Filter

Description

PHPIDS Filter object

Each object of this class serves as a container for a specific filter. The object provides methods to get information about this particular filter and also to match an arbitrary string against it.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Filter.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- since: Version 0.4
- license: LGPL

Located in /Filter.php (line 52)

Variable Summary
string $description
integer $impact
string $rule
array $tags
Method Summary
void __construct ( $id, mixed $rule, string $description, $tags, integer $impact)
string getDescription ()
integer getId ()
integer getImpact ()
string getRule ()
array getTags ()
boolean match (string $string)
Variables
string $description = null (line 81)

Filter description

- access: protected

integer $impact = 0 (line 74)

Filter impact level

- access: protected

string $rule (line 60)

Filter rule

- access: protected

array $tags = array() (line 67)

List of tags of the filter

- access: protected

Methods
Constructor __construct (line 93)

Constructor

- access: public

void __construct ( $id, mixed $rule, string $description, $tags, integer $impact)

- mixed $rule: filter rule
- string $description: filter description
- array $tags: list of tags
- integer $impact: filter impact level
- $id

getDescription (line 131)

Returns filter description

- access: public

string getDescription ()
getId (line 174)

Get filter ID

- access: public

integer getId ()
getImpact (line 164)

Get filter impact level

- access: public

integer getImpact ()
getRule (line 154)

Returns filter rule

- access: public

string getRule ()
getTags (line 144)

Return list of affected tags

Each filter rule is concerned with a certain kind of attack vectors. This method returns those affected kinds.

- access: public

array getTags ()
match (line 113)

Matches a string against current filter

Matches given string against the filter rule the specific object of this class represents

- throws: InvalidArgumentException if argument is no string
- access: public

boolean match (string $string)

- string $string: the string to match

Documentation generated on Mon, 22 Dec 2008 13:36:45 +0100 by phpDocumentor 1.4.2